Get all studio templates
curl --request GET \
--url https://api.kameleoon.com/widget-studio-templates \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.kameleoon.com/widget-studio-templates"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.kameleoon.com/widget-studio-templates', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"siteId": 123,
"id": 123,
"isFavorite": true,
"studioTemplate": "<string>",
"widgetId": 123
}
]{
"code": "<string>",
"impersonator": "<string>",
"message": "<string>",
"name": "<string>",
"sub": "<string>",
"time": 123,
"timestamp": "2023-11-07T05:31:56Z"
}{
"code": "<string>",
"impersonator": "<string>",
"message": "<string>",
"name": "<string>",
"sub": "<string>",
"time": 123,
"timestamp": "2023-11-07T05:31:56Z"
}{
"code": "<string>",
"impersonator": "<string>",
"message": "<string>",
"name": "<string>",
"sub": "<string>",
"time": 123,
"timestamp": "2023-11-07T05:31:56Z"
}{
"code": "<string>",
"impersonator": "<string>",
"message": "<string>",
"name": "<string>",
"sub": "<string>",
"time": 123,
"timestamp": "2023-11-07T05:31:56Z"
}{
"code": "<string>",
"impersonator": "<string>",
"message": "<string>",
"name": "<string>",
"sub": "<string>",
"time": 123,
"timestamp": "2023-11-07T05:31:56Z"
}{
"code": "<string>",
"impersonator": "<string>",
"message": "<string>",
"name": "<string>",
"sub": "<string>",
"time": 123,
"timestamp": "2023-11-07T05:31:56Z"
}{
"code": "<string>",
"impersonator": "<string>",
"message": "<string>",
"name": "<string>",
"sub": "<string>",
"time": 123,
"timestamp": "2023-11-07T05:31:56Z"
}{
"code": "<string>",
"impersonator": "<string>",
"message": "<string>",
"name": "<string>",
"sub": "<string>",
"time": 123,
"timestamp": "2023-11-07T05:31:56Z"
}WidgetStudioTemplate
Get all studio templates
Get a list of all widget studio templates. For more information on paramsIO refer to the Get started article, and see the Using paramsIO tutorial for practical use cases. To use optionalFields check out this guide.
GET
/
widget-studio-templates
Get all studio templates
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
Show child attributes
Show child attributes
Response
OK
Site Id of the widget studio template.
Unique Id of the given widget studio template.
Indicates if this template has been marked as a favorite.
Widget studio template data that is associated with this template.
Widget that can be parsed and used as a studio template.
Was this page helpful?
⌘I